function plotc(w,color)

% w.threshold=0.000001;
% w.offs =0.000001;
hold on;
V = axis;

% k = 2;
n = 100;
m = (n+1)*(n+1);
dx = (V(2)-V(1))/n;
dy = (V(4)-V(3))/n;
[X,Y] = meshgrid(V(1):dx:V(2),V(3):dy:V(4));
% a = [X(:),Y(:),zeros(m,k-2)];
a = [X(:),Y(:)];
m = size(a,1);
K = exp(-w.gamma*((pdist2(a,w.sv)).^2));           % kernel
D = sum(repmat(w.alpha',m,1).* K, 2); % Decision function
% newout = [out repmat(w.rho,m,1)];
% D = newout;
% if min(D(:)) >=0, D = log(D+realmin); end
Z = reshape(D - w.rho,n+1,n+1);
contour([V(1):dx:V(2)],[V(3):dy:V(4)],Z,[0 0],'linewidth',1.5,'linecolor',color);
end