names={'Abalone','ANN-Thyroid-1v3','Cardiotocography','Mammography','Shuttle','Yeast'};
B=[60,60,60,100,100,100];
figure(2)
for k=1:6
    dataset=datasets{k};
    load(['results/ocsvm/',dataset,'.mat'])
    subplot(2,3,k)
    hold on
    plot((1:B(k)),n_ano_presented_nofb(1:B(k)),'-s','LineWidth',2,'MarkerSize',10,'MarkerIndices',1:5:B(k))
    plot((1:B(k)),n_ano_presented_fb(1:B(k)),'-*','LineWidth',2,'MarkerSize',10,'MarkerIndices',1:5:B(k))
    
    
    ax = gca;
    ax.ColorOrderIndex = 3;
    
    box on
    set(gca, 'fontsize', plot_ftsize, 'linewidth', 1.5,'GridLineStyle','--')
    xlabel('Iterations','FontSize',plot_ftsize,'interpreter','latex')
    ylabel('Number of anomalies seen','FontSize',plot_ftsize,'interpreter','latex')
    title(names{k},'FontSize',plot_ftsize,'interpreter','latex')
    legend({'OCSVM','OCSVM-AAD'},'Fontsize',plot_ftsize,'interpreter','latex','location','northwest')
    grid on
    axis([0,B(k),0,B(k)])
    set(gcf,'Renderer','painters')
end